Class | SeleniumOnRails::Selenese
In: | lib/selenium_on_rails/selenese.rb
Parent: | Object

### Methods

new render

### Public Class methods

new(view)

[Source]

       # File lib/selenium_on_rails/selenese.rb, line 7
    7:   def initialize view
    8:     @view = view
    9:   end

### Public Instance methods

render(template, local_assigns)

[Source]

        # File lib/selenium_on_rails/selenese.rb, line 11
    11:   def render template, local_assigns
    12:     name = (@view.assigns['page_title'] or local_assigns['page_title'])
    13:     lines = template.strip.split "\n"
    14:     html = ''
    15:     html << extract_comments(lines)
    16:     html << extract_commands(lines, name)
    17:     html << extract_comments(lines)
    18:     raise 'You cannot have comments in the middle of commands!' if next_line lines, :any
    19:     html
    20:   end

[Validate]